
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS实现列表与网格两种视图的相互切换_IOS / iVAN</title>

    <meta name="description" content="iOS实现列表与网格两种视图的相互切换_IOS 下图为京东商城的截图 很多人看到这个,第一眼想到的是用TableView和CollectionView来做切换,笔者刚开始也是认为这么做,后来发现还有一个非常的简单方法,就可以实现这个功能. 实现代码 1.首先创建一个CollectionView. - (UICollectionView *)collectionView { if (!_collectionView) { UICollectionViewFlowLayout *flowlayout = [[UICollectionViewFlo">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS实现列表与网格两种视图的相互切换_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>下图为京东商城的截图</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTAxOTkyNTE3NTc5LmpwZw==.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTAxOTkyNTU4NDQwLmpwZw==.jpg"></p>
<p>很多人看到这个，第一眼想到的是用<code>TableView</code>和<code>CollectionView</code>来做切换，笔者刚开始也是认为这么做，后来发现还有一个非常的简单方法，就可以实现这个功能。</p>
<p><strong>实现代码</strong></p>
<p><strong>1、首先创建一个CollectionView。</strong></p>
<pre>
- (UICollectionView *)collectionView
{
  if (!_collectionView)
  {
    UICollectionViewFlowLayout *flowlayout = [[UICollectionViewFlowLayout alloc] init];
    //设置滚动方向
    [flowlayout setScrollDirection:UICollectionViewScrollDirectionVertical];
    //左右间距
    flowlayout.minimumInteritemSpacing = 2;
    //上下间距
    flowlayout.minimumLineSpacing = 2;
    _collectionView = [[UICollectionView alloc] initWithFrame:CGRectMake(2 , 2 , self.view.bounds.size.width - 4, self.view.bounds.size.height - 4) collectionViewLayout:flowlayout];
    _collectionView.delegate = self;
    _collectionView.dataSource = self;
    _collectionView.showsVerticalScrollIndicator = NO;
    _collectionView.showsHorizontalScrollIndicator = NO;
    [_collectionView setBackgroundColor:[UIColor clearColor]];
    //注册cell
    [_collectionView registerClass:[GridListCollectionViewCell class] forCellWithReuseIdentifier:kCellIdentifier_CollectionViewCell];
  }
  return _collectionView;
}</pre>
<p>然后去京东商城抓取json数据，再去解析数据装入模型，<code>objectWithDictionary:</code>是将字典转化为模型，这个工具是我用 <code>Runtime </code>写的，一行代码解析数据。</p>
<pre>
- (void)viewDidLoad
{
  [super viewDidLoad];
  // Do any additional setup after loading the view, typically from a nib.

  // 默认列表视图
  _isGrid = NO;

  NSString *path = [[NSBundle mainBundle] pathForResource:@"product" ofType:@"json"];
  NSData *data = [NSData dataWithContentsOfFile:path];
  NSDictionary *dict = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingAllowFragments error:nil];

  [self.view addSubview:self.collectionView];

  NSArray *products = dict[@"wareInfo"];
  for (id obj in products) {
    [self.dataSource addObject:[GridListModel objectWithDictionary:obj]];
  }
}</pre>
<p>再去自定义<code>CollectionViewCell</code>，给<code>cell</code>添加一个属性<code>isGrid</code>，用来判断是列表还是格子视图。</p>
<p>.h文件：</p>
<pre>
#import &lt;UIKit/UIKit.h&gt;

#define kCellIdentifier_CollectionViewCell @"GridListCollectionViewCell"

@class GridListModel;

@interface GridListCollectionViewCell : UICollectionViewCell

/**
 0：列表视图，1：格子视图
 */
@property (nonatomic, assign) BOOL isGrid;

@property (nonatomic, strong) GridListModel *model;

@end</pre>
<p>.m文件</p>
<pre>
#import "GridListCollectionViewCell.h"
#import "GridListModel.h"
#import "UIImageView+WebCache.h"

#define ScreenWidth ([UIScreen mainScreen].bounds.size.width)

@interface GridListCollectionViewCell ()

@property (nonatomic, strong) UIImageView *imageV;
@property (nonatomic, strong) UILabel *titleLabel;
@property (nonatomic, strong) UILabel *priceLabel;

@end

@implementation GridListCollectionViewCell

- (instancetype)initWithFrame:(CGRect)frame
{
  self = [super initWithFrame:frame];
  if (self) {
    [self configureUI];
  }
  return self;
}

- (void)configureUI
{
  _imageV = [[UIImageView alloc] initWithFrame:CGRectZero];
  [self.contentView addSubview:_imageV];

  _titleLabel = [[UILabel alloc] initWithFrame:CGRectZero];
  _titleLabel.numberOfLines = 0;
  _titleLabel.font = [UIFont boldSystemFontOfSize:14];
  [self.contentView addSubview:_titleLabel];

  _priceLabel = [[UILabel alloc] initWithFrame:CGRectZero];
  _priceLabel.textColor = [UIColor redColor];
  _priceLabel.font = [UIFont systemFontOfSize:16];
  [self.contentView addSubview:_priceLabel];
}

- (void)setIsGrid:(BOOL)isGrid
{
  _isGrid = isGrid;

  if (isGrid) {
    _imageV.frame = CGRectMake(5, 5, self.bounds.size.width - 60, self.bounds.size.width - 60);
    _titleLabel.frame = CGRectMake(5, self.bounds.size.width - 45, ScreenWidth/2, 20);
    _priceLabel.frame = CGRectMake(5, self.bounds.size.width - 20, ScreenWidth/2, 20);
  } else {
    _imageV.frame = CGRectMake(5, 5, self.bounds.size.height - 10, self.bounds.size.height - 10);
    _titleLabel.frame = CGRectMake(self.bounds.size.height + 10, 0, ScreenWidth/2, self.bounds.size.height - 20);;
    _priceLabel.frame = CGRectMake(self.bounds.size.height + 10, self.bounds.size.height - 30, ScreenWidth/2, 20);;
  }
}

- (void)setModel:(GridListModel *)model
{
  _model = model;

  [_imageV sd_setImageWithURL:[NSURL URLWithString:model.imageurl]];
  _titleLabel.text = model.wname;
  _priceLabel.text = [NSString stringWithFormat:@"￥%.2f",model.jdPrice];
}

@end</pre>
<p>再添加一个切换视图的按钮，按钮的点击事件如下：</p>
<pre>
#pragma mark - Action

- (IBAction)onBtnClick:(id)sender
{
  _isGrid = !_isGrid;
  [self.collectionView reloadData];

  if (_isGrid) {
    [self.swithBtn setImage:[UIImage imageNamed:@"product_list_grid_btn"] forState:0];
  } else {
    [self.swithBtn setImage:[UIImage imageNamed:@"product_list_list_btn"] forState:0];
  }
}</pre>
<p>最后还要设置一下切换时的<code>CollectionView</code>的<code>ItemSize</code>。</p>
<pre>
- (CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout *)collectionViewLayout sizeForItemAtIndexPath:(NSIndexPath *)indexPath
{
  if (_isGrid) {
    return CGSizeMake((ScreenWidth - 6) / 2, (ScreenWidth - 6) / 2 + 40);
  } else {
    return CGSizeMake(ScreenWidth - 4, (ScreenWidth - 6) / 4 + 20);
  }
}</pre>
<p>这样子就大体实现了列表视图和网格视图的相互切换，是不是很简单。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTAxOTkyOTE2MjQ2LmdpZg==.jpg"></p>
<p><strong>总结</strong></p>
<p>以上就是这篇文章的全部内容了，可能由于笔者水平有限，文中如果有错误的地方，还望大家能够指出。或者有更好的方法和建议，我们也可以一起交流。希望这篇文章的内容对大家能有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索ios<br />
                    ，                ios网格视图<br />
                    ，                视图切换<br />
                                    网格布局<br />
                                    ios网格视图、网格视图、网格絮凝池三视图、直通车网格视图、swift 网格视图，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:24:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/ios%e7%bd%91%e6%a0%bc%e8%a7%86%e5%9b%be/" title="ios网格视图">ios网格视图</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e6%a0%bc%e5%b8%83%e5%b1%80/" title="网格布局">网格布局</a>, <a href="https://www.iamivan.net/tag/%e8%a7%86%e5%9b%be%e5%88%87%e6%8d%a2/" title="视图切换">视图切换</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS实现列表与网格两种视图的相互切换_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ0Y3aM.html" rel="bookmark">IOS给图片添加水印（两种方式）&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了防止自己辛苦做的项目被别人盗走,采取图片添加水印,在此表示图片的独一无二.加水印不是在上面添加几个Label,而是我们把字画到图片上成为一个整体,下面小编给大家分享IOS给图片添加水印(两种方式). 提供一个方法,此方法只需要传递一个要加水印的图片和水印的内容就达到效果. 第一种方式: -(UIImage *)watermarkImage:(UIImage *)img withName:(NSString *)name { NSString* mark = name; int w = img			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlg7GVb.html" rel="bookmark">IOS collectionViewCell防止复用的两种方法&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IOS collectionViewCell防止复用的两种方法 collectionView 防止cell复用的方法一: //在创建collectionView的时候注册cell(一个分区) UICollectionViewCell *cell=[collectionView dequeueReusableCellWithReuseIdentifier:@&quot;cell&quot; forIndexPath:indexPath]; for (UIView *view in cell.contentV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6eAWyb.html" rel="bookmark">win8系统两种安全模式怎样进行切换？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  win8系统与win7系统相比有很大的变化,比如说没有之前的一键就可以取得安静模式的成果,所以说想要实现这个功能就必须要到后台操作.不过这样操作起来确实是十分的麻烦,因此不少人都问有没有更好的方法呢?答案是肯定的.那么win8系统两种安全模式怎样进行切换呢?下面来看看具体的操作步骤吧. 1.一旦进入了宁静模式,那么只要不将前面的勾勾去掉,系统就会不断的进入到宁静模式. 2..打开电脑直接进入到操作系统,然后就点击Win+R组合键,在显示的输入框里面输进去msconfig等字符,接着就选择确定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAAVvAM.html" rel="bookmark">erlang列表拼接的两种方式的速度对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 今天无聊写了一个列表拼接两种方式的对比,主要是对比一下用&quot;++&quot;和&quot;|&quot;拼接列表的速度,书上说,&quot;++&quot;拼接列表是极为低效的**作.这里我用代码实现了一下,分别用两种方法生成N个零的列表:%%列表拼接对比 listsTimeCon(N)-&gt; {TimeOne,_} = timer:tc(**,listsCon1,), {TimeTwo,_} = timer:tc(**,listsCon2,), case TimeOne &gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo356Bb.html" rel="bookmark">iOS 10新漏洞曝光 两种方式都可绕过激活锁</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				苹果最近由于用户规模剧增,也导致了更多的人在破解苹果的软件或者寻找苹果软件的漏洞.最近,有专家发现了两种方式都可以绕过苹果的激活锁. 苹果设置激活锁这个功能当然是为了安全做考虑,当使用者试图关闭查找iPhone功能或恢复出厂化设置时要求其输入Apple ID密码,以确认使用者是否是机主本人.激活锁这个功能呢好处就在于如果你的iPhone丢了你可以锁定手机远程清除数据,就算别人偷去了刷机了也只能是块砖头. 但是目前有两个安全团队发现了iOS的激活锁可以绕过的方法.第一种是由一个叫做Hemanth			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8dojb.html" rel="bookmark">实现点击列表弹出列表索引的两种方式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方式一,使用利用事件冒泡委托给列表的父节点去处理的方式: 复制代码 代码如下: var ulObj = document.getElementById(&quot;myUl&quot;); ulObj.onclick = function (event) { var tg = event.target; var liArray = ulObj.getElementsByTagName(&quot;li&quot;); for (var i = 0; i &lt; liArray.length; i++)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1W8rb.html" rel="bookmark">Android通过LIstView显示文件列表的两种方法介绍&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android中通过ListView显示SD卡中的文件列表一共有两种方法,一是:通过继承ListActivity显示;二是:利用BaseAdapter显示.BaseAdapter是一个公共基类适配器,用于对ListView和Spinner等 一些控件提供显示数据.下面是利用BaseAdapter类来实现通过LIstView显示SD卡的步骤: 1.main.xml界面设计,如下图 复制代码 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRYAZGb.html" rel="bookmark">Android通过LIstView显示文件列表的两种方法介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android中通过ListView显示SD卡中的文件列表一共有两种方法,一是:通过继承ListActivity显示;二是:利用BaseAdapter显示.BaseAdapter是一个公共基类适配器,用于对ListView和Spinner等 一些控件提供显示数据.下面是利用BaseAdapter类来实现通过LIstView显示SD卡的步骤: 1.main.xml界面设计,如下图 复制代码 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKPv1p.html" rel="bookmark">IOS开发：Unity3D 两种方式播放游戏视频</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Unity支持的播放视频格式有.mov..mpg..mpeg..mp4..avi和.asf.只需将对应的视频文件拖拽入Project视图即可,它会自动生成对应的MovieTexture对象.如下图所示,MOMO将default_video.mp4拖拽入Project视图中,如果视频中含有音频的话会对应生成audio文件,因为我的视频没有音频所以没有生成 audio文件.接着在Hierarchy视图中创建一个Plane对象视频将在它之上播放,Directional light世界定向光用于照亮			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGnlop.html" rel="bookmark" class="title">对HTTP协议的头信息详解</a>
					<div>
						HTTP(HyperTextTransferProtocol)是超文本传输协议的缩写,它用于传送WWW方式的数据,关于HTTP 协议的详细内容请参 考RFC2616.HTTP协议采用了请求/响应模型. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm43jM.html" rel="bookmark" class="title">ASP中adodb Stream组件的详细用法</a>
					<div>
						ado|stream 有下列方法:Cancel 方法     使用方法如下     Object.Cancel     说明:取消执行挂起的异步 Execute 或 Open 方法的调用.Close  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEawAb.html" rel="bookmark" class="title">分享Facebook的设计团队的设计理念</a>
					<div>
						今天在Palo Alto的总部,Facebook的设计团队分享了他们的设计理念,以及他们是如何为2.5亿用户设计产品的.特别的是,他们强调了以下几点: 要勤写代码(get your hands dir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl3aqb.html" rel="bookmark" class="title">Henry手记 － Datagrid键盘事件响应（一）</a>
					<div>
						datagrid|响应 1. Datagrid上的键盘响应 当Datagrid与数据源绑定后,会呈现出如图1所示的形式.当Datagrid被聚焦后,焦点会首先落在第一行第一列的单元格上(注意:不是单元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNqgAb.html" rel="bookmark" class="title">Td或Div文字超出宽度的CSS隐藏方法</a>
					<div>
						  当我们定义了Div width后,里面的内容有可能比较多,会超出来,将div或表格撑的大大的,变形了影响网页美观,介绍一种方法,用CSS强制隐藏掉多余的内容并自动显示省略号,比如下面这段HTML的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm71a3b.html" rel="bookmark" class="title">smarty模板引擎之配置文件数据和保留数据</a>
					<div>
						 这篇文章主要介绍了smarty模板引擎之配置文件数据和保留数据的方法,实例分析了smarty模板引擎配置文件数据及获取数据的具体技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGwDop.html" rel="bookmark" class="title">Win7经常弹出网页窗口如何屏蔽？</a>
					<div>
						  Win7经常弹出网页窗口如何屏蔽?           1.如果你用的是系统自的IE浏览器的话,点击工具选择Internet选项; 2.检查一下启用弹出窗口组织程序有没有勾选; 3.如果你用的是第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNQK0M.html" rel="bookmark" class="title">升级BIOS前的准备工作</a>
					<div>
						  升级BIOS前,需要做好以下一些准备工作. (1)利用检测软件,例如EVEREST查看主板生产厂家和型号,以及主板BIOS类型和版本. (2)根据BIOS类型,从网上下载与之对应的BIOS升级工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArWxKp.html" rel="bookmark" class="title">网络子系统81&lowbar;inet协议族-SOCK&lowbar;RAW（二）</a>
					<div>
						// struct sock-&gt;sk_prot字段 // struct proto为插口层到传输层的接口 4.1 struct proto raw_prot = { .name = &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW3nvp.html" rel="bookmark" class="title">英特尔-android studio 模拟器运行出现问题</a>
					<div>
						问题描述 android studio 模拟器运行出现问题 出现了如下提示emulator: ERROR: x86 emulation currently requires hardware acce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7xLNp.html" rel="bookmark" class="title">静态分析-请问有大神知道如何自定义规则对代码进行静态检查么？</a>
					<div>
						问题描述 请问有大神知道如何自定义规则对代码进行静态检查么? 请问有大神知道如何自定义规则对代码进行静态检查么?一直想根据自己的编程规则集,指定适合自身的分析工具. 解决方案 不知道你说的是什么的静态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQJW7p.html" rel="bookmark" class="title">显示器颜色不正常的原因是什么</a>
					<div>
						显示器是电脑的重要部件之一,显示器颜色不正常,会对我们看电脑造成很大影响,也很容易感觉到眼睛疲劳.显示器颜色不正常是怎么回事,应该怎么处理呢,下面为大家一一道来. 显示器颜色不正常的根源 显示器是属于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB2lAb.html" rel="bookmark" class="title">gdi-c&num; GDI绘图 winform程序</a>
					<div>
						问题描述 c# GDI绘图 winform程序 如图 分为两个区域 除上述蓝色背景区域外,下面的黑色整个部分我想换个颜色,以下是代码,请问最后的零的位置如何修改 (也就是修改下面的部分的高度) pri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKjaDb.html" rel="bookmark" class="title">进制之间的转换-输入为&OpenCurlyDoubleQuote;任意进制&plus;数值&rdquo;，想输出十进制下该数的数值，但怎么也输出不对，求解答！</a>
					<div>
						问题描述 输入为&quot;任意进制+数值&quot;,想输出十进制下该数的数值,但怎么也输出不对,求解答! int main() { int i=0,j,k,s=0,d=0,n=0; int q=1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBo0wM.html" rel="bookmark" class="title">Visulalization Boost Voronoi in OpenSceneGraph</a>
					<div>
						Visulalization Boost Voronoi in OpenSceneGraph eryar@163.com Abstract. One of the important features ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRXv3b.html" rel="bookmark" class="title">key&sol;value存储系统-Memcached、Redis、Tair</a>
					<div>
						每个产品的可配置参数繁多,涉及缓存策略.分布算法.序列化方式.数据压缩技术.通信方式.并发.超时等诸多方面因素,都会对测试结果产生影响,单纯的性能对比存在非常多的局限性和不合理性,所以不能作为任何评估 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7waRM.html" rel="bookmark" class="title">excel中条件求和 SUMIF用法详解</a>
					<div>
						很多人在用 EXCEL 做各种表格,但很少人会使用其中的函数,起码在我们公司很少人用到,其实仅仅绘制表格 EXCEL 的功能你只用到了百分之一,今天来说一下, SUMIF &quot;条件求和&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnj8WM.html" rel="bookmark" class="title">listview界面问题-ListView滑动到顶或到底问题</a>
					<div>
						问题描述 ListView滑动到顶或到底问题 当界面下滑到底或上滑到顶的时候会出现一个与我们经常见的刷新是的灰色界面,怎么更改这种样式呢 解决方案 https://github.com/chrisba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB1BBz.html" rel="bookmark" class="title">mfc-简单的实例函数调用MFC</a>
					<div>
						问题描述 简单的实例函数调用MFC 实例地址:http://blog.csdn.net/one_in_one/article/details/26372981 函数调用是这句: BEGIN_EVENT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAyLyb.html" rel="bookmark" class="title">Discuz&excl;和Phpwind出嫁后&comma;如今的社区江湖风景为哪般</a>
					<div>
						2010年,腾讯收购Discuz!,阿里巴巴收购Phpwind,两大开源社区软件先后嫁入豪门,一时间,对两者未来发展的疑惑惧怕有之,看好赞赏者也有之.四年过去,如今的社区江湖风景为哪般? 先来说Dis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeB7kM.html" rel="bookmark" class="title">Cloud China 2017&colon;深解未来云计算发展</a>
					<div>
						文章讲的是Cloud China 2017:深解未来云计算发展,2017年5月3日-4日,由工业和信息化部指导,中国电子信息行业联合会支持,工业和信息化部国际经济技术合作中心.中国国际贸易促进委员会电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeR5ZM.html" rel="bookmark" class="title">RHCE 学习笔记（33&rpar; - Postfix</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://beanxyz.blog.51cto.com/5570417/1609531 这一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1k5ob.html" rel="bookmark" class="title">mysql复制中临时表的运用技巧&lowbar;Mysql</a>
					<div>
						我们知道,临时表有以下特性: 1. SESSION 级别,SESSION 一旦断掉,就被自动DROP 了. 2. 和默认引擎有关.如果默认引擎是INNODB,而你又疯狂的使用临时表.那么,你的IBDA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1GXqb.html" rel="bookmark" class="title">全面解析&dollar;&period;Ajax&lpar;&rpar;方法参数&lpar;推荐&rpar;&lowbar;AJAX相关</a>
					<div>
						先给大家介绍下Ajax概念 AJAX即&quot;Asynchronous Javascript And XML&quot;(异步JavaScript和XML),是指一种创建交互式网页应用的网页开发技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdevyp.html" rel="bookmark" class="title">《Python高性能编程》&mdash;&mdash;2&period;6　使用cProfile模块</a>
					<div>
						2.6 使用cProfile模块 cProfile是一个标准库内建的分析工具.它钩入CPython的虚拟机来测量其每一个函数运行所花费的时间.这一技术会引入一个巨大的开销,但你会获得更多的信息.有时这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn49aZb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;一中心三平台&rdquo;：智慧洪泽迈入成效年</a>
					<div>
						近年来,智慧城市越来越受到关注,智慧城市建设项目也不断涌现.以提高政府治理效率.改善民生服务水平.助力经济产业发展为目的,运用物联网.云计算.大数据等信息技术的智慧城市建设已经成为推动信息化发展的重要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWd7rM.html" rel="bookmark" class="title">电子阅读器遭资本冷眼风投个案仅3起</a>
					<div>
						电子书在中国尚处于起步阶段.深圳商报记者 苏海强 摄 电子阅读器市场的持续趋火并未触动资本市场敏锐的神经.清科研究中心昨日发布的&lt;2010年中国电子阅读器市场投资研究报告&gt;显示,电子阅读器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWZ7rp.html" rel="bookmark" class="title">多特自命为老二  华军与天空排第几？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天,因为需要一个软件,就去了常去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAQXkvM.html" rel="bookmark" class="title">大地的裂变女狼人舞蹈模仿女歌手LadyGaga</a>
					<div>
						魔兽世界&lt;大地的裂变&gt;资料片的新种族女狼人的舞蹈放出,这次的舞蹈明显是模仿美国天后Lady Gaga的成名曲&lt;Poker face&gt;.继上次女地精的舞蹈模仿天后碧昂斯的&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYBqxQp.html" rel="bookmark" class="title">网易《梦幻西游》绿色度测评报告：博彩、暴力</a>
					<div>
						[关键词]暴力.恶意PK.行贿.劫狱.博彩.骂人 [评星级别]:(即使绿色星级很高,同样有可能导致沉迷) ★★★★★:适合全年龄人群 ★★★★ :建议小学生及以下年龄段人群不要使用 ★★★ :建议初中 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
